%define upstream_name    Dist-Zilla-PluginBundle-GETTY
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    BeLike::GETTY when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::cpanminus)
BuildRequires: perl(Dist::Zilla) >= 1.92.990
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::BumpVersionFromGit)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta)
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease) >= 0.7.0
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 3.92.971
BuildRequires: perl(Dist::Zilla::Plugin::Repository)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver) >= 0.93.330
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Elemental) >= 0.92.970
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Weaver) >= 3.100.310
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
So far just a fork of the Pod::Weaver::PluginBundle::RJBS manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.8.0-13.mga10
+ Revision: 2198365
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.8.0-12.mga9
+ Revision: 1803127
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-11.mga8
+ Revision: 1494199
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.8.0-10.mga7
+ Revision: 1267431
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-9.mga6
+ Revision: 1025983
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.8.0-8.mga6
+ Revision: 970340
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.8.0-7.mga6
+ Revision: 885984
- Fix BRs

* Sun Oct 19 2014 umeabot <umeabot> 0.8.0-6.mga5
+ Revision: 788878
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 747449
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 511255
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 366651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 0.8.0-1.mga3
+ Revision: 270319
- update to 0.008
- update to 0.007

* Wed Mar 16 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 72417
- imported package perl-Dist-Zilla-PluginBundle-GETTY


* Wed Mar 16 2011 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
